Bug 127376 - slapd: sudden death
slapd: sudden death
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
3.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 09:04 EDT by Graham Leggett
Modified: 2015-01-07 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-07-07 09:04:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040623

Description of problem:
Earlier today, for no apparent reason, slapd died.

The logfile up until it died is as follows:

Jul  7 06:03:13 chandler slapd[30691]: deferring operation
Jul  7 06:03:16 chandler slapd[30691]: deferring operation
Jul  7 06:03:16 chandler slapd[30691]: conn=26329 op=0 RESULT tag=97
err=0 text=                                                          
                     
Jul  7 06:03:17 chandler slapd[30691]: conn=26330 op=0 BIND
dn="CN=MAIL,O=XXX,C=ZA" method=128
Jul  7 06:03:17 chandler slapd[30691]: conn=-1 fd=17 closed
Jul  7 06:03:19 chandler slapd[30691]: conn=-1 fd=117 closed
Jul  7 06:03:19 chandler slapd[30691]: conn=-1 fd=168 closed
Jul  7 06:03:20 chandler slapd[30691]: conn=26330 op=0 RESULT tag=97
err=0 text=                                                          
                     
Jul  7 06:03:20 chandler slapd[30691]: conn=-1 fd=31 closed
Jul  7 06:04:19 chandler slapd[30691]: daemon: conn=26331 fd=17
connection from
IP=127.0.0.1:44778 (IP=127.0.0.1:389) accepted.
Jul  7 06:04:21 chandler slapd[30691]: conn=26331 op=0 BIND
dn="CN=MAIL,O=XXX,C=ZA" method=128
Jul  7 06:04:21 chandler slapd[30691]: conn=26331 op=0 RESULT tag=97
err=0 text=                                                          
                     
<-- restarted here
Jul  7 07:33:47 chandler slapd[18984]: slapd starting
Jul  7 07:34:01 chandler slapd[18984]: daemon: conn=0 fd=9 connection
from IP=127.0.0.1:45487 (IP=127.0.0.1:389) accepted.

Not sure if "deferring operation" is significant (another case of a
package that does not believe in error messages in plain english).


Version-Release number of selected component (if applicable):
openldap-2.0.27-11

How reproducible:
Sometimes

Steps to Reproduce:
xxx

Additional info:
Comment 1 Graham Leggett 2004-08-06 05:06:49 EDT
LDAP sudden death again.

It would seem RHEL3 is not viable at all as an LDAP server, and there
seems to be no support for it from Redhat.

We will be looking for a different LDAP solution from now on.
Comment 2 Graham Leggett 2004-08-06 05:17:00 EDT
Further investigation indicates that LDAP dies due to a disk full
condition. This leaves the box open to a trivial denial of service attack.
Comment 3 Graham Leggett 2004-10-07 16:01:28 EDT
LDAP server death again after disk full - an strace shows this on
unsuccessful startup:

read(3, "127.0.0.1\t\tlocalhost localhost.l"..., 4096) = 274
close(3)                                = 0
munmap(0xb75ea000, 4096)                = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
open("/etc/openldap/ldap.conf", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=337, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb75ea000
read(3, "# $OpenLDAP: pkg/ldap/libraries/"..., 4096) = 337
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb75ea000, 4096)                = 0
getuid32()                              = 0
geteuid32()                             = 0
getgid32()                              = 0
getegid32()                             = 0
open("/root/ldaprc", O_RDONLY)          = -1 ENOENT (No such file or
directory)
open("/root/.ldaprc", O_RDONLY)         = -1 ENOENT (No such file or
directory)
getuid32()                              = 0
geteuid32()                             = 0
getgid32()                              = 0
getegid32()                             = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV (core dumped) +++
Comment 4 RHEL Product and Program Management 2007-10-19 15:22:56 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.